<template>
    <div>
                <!-- Button trigger modal -->
        <button type="button" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#exampleModalCenter">
         créer un film
        </button>
        <!-- Modal -->
        <div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLongTitle">creér un film</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <form>
                            <div class="form-group">
                                <label for="name" class="form-label mt-4">name</label>
                                <input type="text" class="form-control" id="name" placeholder="nom du film" v-model="name">
                            </div>
                        </form>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
                        <button type="button" class="btn btn-success" @click="filmStrore">Créer</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        
        data() {
            return {
                name: ''
            }
        },

        methods: {
            filmStrore(){
                axios.post('http://127.0.0.1:8000/film/add',{
                    name: this.name
                })
                .then(response => {this.filmId = response.data.id
                  alert("films ajouté avec succée")})
                .catch(error => {
                    //this.errorMessage = error.message;
                    console.error("There was an error!", error);
                });
            }  
        },
    }
</script>